landing/urls.py
from django.urls import path
from .views import home, logout, usersign

app_name = 'landing'

urlpatterns = [
	path('', home, name='home'),
	path('logout/', logout, name='logout'),
	path('signup/', usersign, name='signup'),
	]

petcare/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('isiForm/', include('isiFormApp.urls')),
    path('', include('landing.urls')),
    path('payments/',include('payments.urls')),
    path('testimoni/',include('testimoni.urls')),
    path('accounts/', include('django.contrib.auth.urls'), name="bla"),
]

landing/models.py
from django.db import models

# Create your models here.

landing/forms.py
from django import forms
from django.contrib.auth.models import User

class MakeUser(forms.ModelForm):
	konfirmasi_password = forms.CharField(widget=forms.PasswordInput(attrs={'class':'form-control', 
						}))
	class Meta():
		model = User
		fields = ('username', 'password', 'email')
		widgets ={
		'username':forms.TextInput(attrs={'class':'form-control', 
										}),
		'password':forms.PasswordInput(attrs={'class':'form-control', 
										}),
		'email':forms.EmailInput(attrs={'class':'form-control', 
										}),
		}

landing/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import login as login_auth, logout as logout_auth
from django.contrib.auth.models import User, auth
from django.contrib.auth.forms import AuthenticationForm
from .forms import MakeUser

# Create your views here.

def home(request):
	return render(request, 'landing.html')

def logout(request):
	if request.method == 'POST':
		logout_auth(request)
	return redirect('landing:home')

def usersign(request):
	form = MakeUser()
	if request.method == 'POST':
		form = MakeUser(request.POST)
		if form.is_valid():
			if not user:
				return render(request, 'signup.html', {'text': 'Please fill the user field'})
			if form.cleaned_data['password']!= form.cleaned_data['konfirmasi_password']:
				return render(request, 'signup.html', {'form':form, 'error_message':'Password tidak sama'})
			if form.cleaned_data['password'] == pform.cleaned_data['konfirmasi_password']:
				if User.objects.filter(user=user).exists():
					return render(request, 'signup.html', {'text': 'Username already exists'})
			else:
				user = User.objects.create_user(username=username, password=password)
				user.save()
				return render(request, 'signup.html', {'user': user})
			return redirect('/home')
	return render(request, 'signup.html', {'form':form})

landing/templates/landing.html
{% extends 'base.html' %}
{% load static %}

<head>
	{% block sheet%}
	<link rel="stylesheet" type="text/css" href="{% static 'landing.css' %}">
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    {%endblock sheet%}
</head>
<body>
	{% block content%}

 <!-- ----- Home ----- -->
<div class="jumbotron jumbotron-fluid home">
	<div class="container-fluid">
		{% if user.is_authenticated %}
		<h1> HI {{ user.username }} </h1>
		{% else %}
		<p> Click <a href="{% url 'landing:signup' %}">here</a> to register. </p>
		{% endif %}		
	</div>
</div>

<!-- ----- About Us ----- -->
<div class="aboutpet">
	<div class="container-fluid">
	<h1> About Us </h1>
	<h4> We are a pet grooming salon!
	We provide grooming services for your beloved pet. </h4>
	</div>
</div>

<!-- ----- Services ----- -->
<div class="jumbotron jumbotron-fluid services">
	<div class="container-fluid">
		<div class="row cardservice">
		  
		  	<div class="col-sm-4">
			    <div class="card">
			      <div class="card-body .bg-info">
			        <h5 class="card-title"> Nails </h5>
			        <p class="card-text"> Nails trimmed and then filed to provide a scratch and chip free look, good for you, your furniture, and your pet.</p>
			      </div>
			    </div>
		  	</div>

		  <div class="col-sm-4">
		    <div class="card">
		      <div class="card-body .bg-info">
		        <h5 class="card-title">Bath and Brush</h5>
		        <p class="card-text"> We provide a luxury Bath & Brush utilizing the finest shampoos while gently massaging and providing specific care for your pet’s needs.</p>
		      </div>
		    </div>
		  </div>

		  <div class="col-sm-4">
		    <div class="card">
		      <div class="card-body .bg-info">
		        <h5 class="card-title"> Clean Ears / Hair Removal </h5>
		        <p class="card-text">Routine dog ear care is extremely important to the ongoing health of your pet. Ears are checked and cleaned.</p>
		      </div>
		    </div>
		  </div>

		</div>
	</div>
</div>

<!-- ----- Frequently Asked Questions ----- -->

<div class="container-fluid">
	<h1> Frequently Asked Question </h1>
	<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
		  <ol class="carousel-indicators">
		    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
		    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
		    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
		  </ol>

		  <div class="carousel-inner">
		    <div class="carousel-item active">
		    	<p>-. It promotes the health of the dog's skin, coat, teeth, and every other part of their body.
					-. It lets a professional get to know your dog's body so that they can see and feel any changes and find health problems early on.
					-. It lowers you dog's stress levels and reduces their blood pressure.
				</p>
		    </div>

		    <div class="carousel-item">
		    	<p>
		    		Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
		    	</p>
		    </div>
		  </div>

		  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
		    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
		    <span class="sr-only">Previous</span>
		  </a>

		  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
		    <span class="carousel-control-next-icon" aria-hidden="true"></span>
		    <span class="sr-only">Next</span>
		  </a>

		</div>	
	</div>
</div>

<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</body>
{%endblock content%}

landing/templates/signup.html
{% extends 'base.html' %}
{% load static %}

<head>
	{% block sheet%}
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    {%endblock sheet%}
</head>
<body>
	{% block content%}

 <!-- ----- Home ----- -->

<div class="form">
    <form action="{% url 'landing:home' %}" method="POST">
        {% csrf_token %}
        <div class="unknown"><p>Username</p>{{ form.username }}</div>
        <div class="unknown"><p>Email</p>{{ form.email }}</div>
        <div class="unknown"><p>Password</p>{{ form.password }}</div>
        <div class="unknown"><p>Confirm Password</p>{{ form.konfirmasi_password }}</div>
        <div class="unknown test">
            <button type="submit" class="formbutton">Sign Up</button>
        </div>
        {{ text }}
    </form>
</div>

<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</body>
{%endblock content%}